package com.fs.qw.service;

import com.fs.qw.domain.QwUserVideo;
import com.fs.qw.param.QwUserVideoParam;
import com.fs.qw.vo.QwUserVideoVO;

import java.util.List;

/**
 * 企业微信的视频号Service接口
 *
 * @author fs
 * @date 2025-01-14
 */
public interface IQwUserVideoService
{
    /**
     * 查询企业微信的视频号
     *
     * @param id 企业微信的视频号主键
     * @return 企业微信的视频号
     */
    public QwUserVideo selectQwUserVideoById(Long id);

    /**
     * 查询企业微信的视频号列表
     *
     * @param qwUserVideo 企业微信的视频号
     * @return 企业微信的视频号集合
     */
    public List<QwUserVideo> selectQwUserVideoList(QwUserVideo qwUserVideo);
    public List<QwUserVideoVO> selectQwUserVideoListVO(QwUserVideoParam qwUserVideo);

    /**
     * 新增企业微信的视频号
     *
     * @param qwUserVideo 企业微信的视频号
     * @return 结果
     */
    public int insertQwUserVideo(QwUserVideo qwUserVideo);

    /**
     * 修改企业微信的视频号
     *
     * @param qwUserVideo 企业微信的视频号
     * @return 结果
     */
    public int updateQwUserVideo(QwUserVideo qwUserVideo);

    /**
     * 批量删除企业微信的视频号
     *
     * @param ids 需要删除的企业微信的视频号主键集合
     * @return 结果
     */
    public int deleteQwUserVideoByIds(Long[] ids);

    /**
     * 删除企业微信的视频号信息
     *
     * @param id 企业微信的视频号主键
     * @return 结果
     */
    public int deleteQwUserVideoById(Long id);
}
